#
# spec file for package python-copr
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-copr
Version:        1.130
Release:        1.4
Summary:        Python client for copr service
License:        GPL-2.0-or-later
URL:            https://github.com/fedora-copr/copr
Source:         https://files.pythonhosted.org/packages/source/c/copr/copr-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-filelock
Requires:       python-munch
Requires:       python-requests
Requires:       python-requests-toolbelt
Requires:       python-setuptools
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module filelock}
BuildRequires:  %{python_module munch}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests-gssapi}
BuildRequires:  %{python_module requests-toolbelt}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
Python client for copr service.

%prep
%setup -q -n copr-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%{python_sitelib}/copr
%{python_sitelib}/copr-%{version}.dist-info

%changelog
* Fri Sep  8 2023 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.130:
  * No upstream changelog.
- Fiddle with {Build,}Requires as appropiate.
* Tue Jun 20 2023 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.129:
  * No upstream changelog.
- Fiddle with {Build,}Requires as appropiate.
- Move to pyproject macros.
* Wed Dec  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.124
  - move to GitHub home page
  - add external repos for custom build
  - don't play with sessions if using ApiToken
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.123
  - no upstream changelog
* Thu Sep 15 2022 pgajdos@suse.com
- version update to 1.122
  - no upstream changelog file found
- does not require python-six
* Fri Apr 22 2022 Matej Cepl <mcepl@suse.com>
- Update to 1.119:
  - Bugfixes
  - Kerberos/GSSAPI authentication for API and copr-cli
  - Copr-cli re-tries connections with Copr Frontend
  - Large queue improvements
  - Smaller fixes
  - More copr-cli options for editing chroots
  - Signing packages with SHA256
  - Remote refs in committish
* Mon Mar  7 2022 pgajdos@suse.com
- version update to 1.115
  * upstream changelog not found, perhaps:
    https://docs.pagure.org/copr.copr/release_notes.html
- python-mock s not needed for build
* Tue Nov 17 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.106
